OpenVDB 5.1.0

Public Types | List of all members
Tree< _RootNodeType >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a tree having the same hierarchy as this tree but a different value type, T. More...

`#include <Tree.h>`

## Public Types
using | Type = Tree< typename RootNodeType::template ValueConverter< OtherValueType >::Type >

## Detailed Description

### template<typename _RootNodeType>
template<typename OtherValueType>
struct openvdb::v5_1::tree::Tree< _RootNodeType >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a tree having the same hierarchy as this tree but a different value type, T.

For example, FloatTree::ValueConverter<double>::Type is equivalent to DoubleTree.

Note
  If the source tree type is a template argument, it might be necessary to write "typename SourceTree::template ValueConverter<T>::Type".

## Member Typedef Documentation

## ◆ Type

using Type = Tree<typename RootNodeType::template ValueConverter<OtherValueType>::Type>

The documentation for this struct was generated from the following file:

- Tree.h